Skip to main content

Get MediaAgents associated with a Storage Pool​

API to get the list of MediaAgents associated with the Storage Pool

Path Parameters
  • storagePoolId int32 required

    Id of the Storage Pool

Responses

OK


Schema
  • mediaAgents object[]
  • mediaAgent object
  • mediaAgentId int32
  • mediaAgentName string
  • netHostName string
  • displayName string
  • _type_ string
  • status string

    Possible values: [OFFLINE, ONLINE, MAINTENANCE]

  • isStorageMA boolean

    Indicates if the MediaAgent has a storage role

  • isDDBMA boolean

    Indicates if the MediaAgent has a DDB role

  • isDDBRoleAllowed boolean

    Indicates if the DDB role is allowed for this MediaAgent

  • storageAccessType int32

    Access type for the MediaAgent

  • isMetallicMA boolean

    Indicates if this is a Metallic MediaAgent

  • osType string

    Operating system type of the MediaAgent

  • clientGroup object

    Reference to a client group in Node API responses

  • clientGroupId int32
  • clientGroupName string
  • _type_ string
  • isStoragePoolSCG int32
  • associatedClientGroups object[]
  • clientGroup object

    Reference to a client group in Node API responses

  • clientGroupId int32
  • clientGroupName string
  • _type_ string
  • isStoragePoolSCG int32
  • storageRole string

    Possible values: [READ, READ_WRITE]

    Access type for a device (read-only or read-write)

  • isDDBRole boolean

    Indicates if the client group has a DDB role

Loading...